### Hierarchy

- unknown
  - SetTxFeeRatePreferenceReply

## Index

### Constructors

- constructor

### Methods

- clearTxFeeRateInfo
- getTxFeeRateInfo
- hasTxFeeRateInfo
- serializeBinary
- setTxFeeRateInfo
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new SetTxFeeRatePreferenceReply(): SetTxFeeRatePreferenceReply

- Inherited from jspb.Message.constructor

  #### Returns SetTxFeeRatePreferenceReply

## Methods

### clearTxFeeRateInfo

- clearTxFeeRateInfo(): SetTxFeeRatePreferenceReply

- - Defined in src/protobuf/grpc_pb.d.ts:3459

  #### Returns SetTxFeeRatePreferenceReply

### getTxFeeRateInfo

- getTxFeeRateInfo(): undefined | TxFeeRateInfo

- - Defined in src/protobuf/grpc_pb.d.ts:3456

  #### Returns undefined | TxFeeRateInfo

### hasTxFeeRateInfo

- hasTxFeeRateInfo(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:3458

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:3461

  #### Returns Uint8Array

### setTxFeeRateInfo

- setTxFeeRateInfo(value?: TxFeeRateInfo ): SetTxFeeRatePreferenceReply

- - Defined in src/protobuf/grpc_pb.d.ts:3457

  #### Parameters

  - ##### Optional value: TxFeeRateInfo

  #### Returns SetTxFeeRatePreferenceReply

### toObject

- toObject(includeInstance?: boolean): SetTxFeeRatePreferenceReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3462

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns SetTxFeeRatePreferenceReply . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): SetTxFeeRatePreferenceReply

- - Defined in src/protobuf/grpc_pb.d.ts:3465

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SetTxFeeRatePreferenceReply

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SetTxFeeRatePreferenceReply, reader: BinaryReader): SetTxFeeRatePreferenceReply

- - Defined in src/protobuf/grpc_pb.d.ts:3466

  #### Parameters

  - ##### message: SetTxFeeRatePreferenceReply

  - ##### reader: BinaryReader

  #### Returns SetTxFeeRatePreferenceReply

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: SetTxFeeRatePreferenceReply, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:3464

  #### Parameters

  - ##### message: SetTxFeeRatePreferenceReply

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: SetTxFeeRatePreferenceReply ): SetTxFeeRatePreferenceReply . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:3463

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SetTxFeeRatePreferenceReply

  #### Returns SetTxFeeRatePreferenceReply . AsObject

Generated using TypeDoc